IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/44
Addresses2^84
/64 networks1,048,576
- Network
287c:dd:c040::/44- First address
287c:dd:c040::- Last address
287c:dd:c04f:ffff:ffff:ffff:ffff:ffff- Addresses
- 19,342,813,113,834,066,795,298,816 (2^84)
- /64 networks (LANs)
- 1,048,576
- Full form
287c:00dd:c040:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
4.0.c.d.d.0.0.c.7.8.2.ip6.arpa
Split into smaller subnets
287c:dd:c040::/44 makes 256 subnets of /52.
| # | Subnet | Last address |
|---|---|---|
| 1 | 287c:dd:c040::/52 | 287c:dd:c040:fff:ffff:ffff:ffff:ffff |
| 2 | 287c:dd:c040:1000::/52 | 287c:dd:c040:1fff:ffff:ffff:ffff:ffff |
| 3 | 287c:dd:c040:2000::/52 | 287c:dd:c040:2fff:ffff:ffff:ffff:ffff |
| 4 | 287c:dd:c040:3000::/52 | 287c:dd:c040:3fff:ffff:ffff:ffff:ffff |
| 5 | 287c:dd:c040:4000::/52 | 287c:dd:c040:4fff:ffff:ffff:ffff:ffff |
| 6 | 287c:dd:c040:5000::/52 | 287c:dd:c040:5fff:ffff:ffff:ffff:ffff |
| 7 | 287c:dd:c040:6000::/52 | 287c:dd:c040:6fff:ffff:ffff:ffff:ffff |
| 8 | 287c:dd:c040:7000::/52 | 287c:dd:c040:7fff:ffff:ffff:ffff:ffff |
| 9 | 287c:dd:c040:8000::/52 | 287c:dd:c040:8fff:ffff:ffff:ffff:ffff |
| 10 | 287c:dd:c040:9000::/52 | 287c:dd:c040:9fff:ffff:ffff:ffff:ffff |
| 11 | 287c:dd:c040:a000::/52 | 287c:dd:c040:afff:ffff:ffff:ffff:ffff |
| 12 | 287c:dd:c040:b000::/52 | 287c:dd:c040:bfff:ffff:ffff:ffff:ffff |
| 13 | 287c:dd:c040:c000::/52 | 287c:dd:c040:cfff:ffff:ffff:ffff:ffff |
| 14 | 287c:dd:c040:d000::/52 | 287c:dd:c040:dfff:ffff:ffff:ffff:ffff |
| 15 | 287c:dd:c040:e000::/52 | 287c:dd:c040:efff:ffff:ffff:ffff:ffff |
| 16 | 287c:dd:c040:f000::/52 | 287c:dd:c040:ffff:ffff:ffff:ffff:ffff |
| 17 | 287c:dd:c041::/52 | 287c:dd:c041:fff:ffff:ffff:ffff:ffff |
| 18 | 287c:dd:c041:1000::/52 | 287c:dd:c041:1fff:ffff:ffff:ffff:ffff |
| 19 | 287c:dd:c041:2000::/52 | 287c:dd:c041:2fff:ffff:ffff:ffff:ffff |
| 20 | 287c:dd:c041:3000::/52 | 287c:dd:c041:3fff:ffff:ffff:ffff:ffff |
| 21 | 287c:dd:c041:4000::/52 | 287c:dd:c041:4fff:ffff:ffff:ffff:ffff |
| 22 | 287c:dd:c041:5000::/52 | 287c:dd:c041:5fff:ffff:ffff:ffff:ffff |
| 23 | 287c:dd:c041:6000::/52 | 287c:dd:c041:6fff:ffff:ffff:ffff:ffff |
| 24 | 287c:dd:c041:7000::/52 | 287c:dd:c041:7fff:ffff:ffff:ffff:ffff |
| 25 | 287c:dd:c041:8000::/52 | 287c:dd:c041:8fff:ffff:ffff:ffff:ffff |
| 26 | 287c:dd:c041:9000::/52 | 287c:dd:c041:9fff:ffff:ffff:ffff:ffff |
| 27 | 287c:dd:c041:a000::/52 | 287c:dd:c041:afff:ffff:ffff:ffff:ffff |
| 28 | 287c:dd:c041:b000::/52 | 287c:dd:c041:bfff:ffff:ffff:ffff:ffff |
| 29 | 287c:dd:c041:c000::/52 | 287c:dd:c041:cfff:ffff:ffff:ffff:ffff |
| 30 | 287c:dd:c041:d000::/52 | 287c:dd:c041:dfff:ffff:ffff:ffff:ffff |
| 31 | 287c:dd:c041:e000::/52 | 287c:dd:c041:efff:ffff:ffff:ffff:ffff |
| 32 | 287c:dd:c041:f000::/52 | 287c:dd:c041:ffff:ffff:ffff:ffff:ffff |
| 33 | 287c:dd:c042::/52 | 287c:dd:c042:fff:ffff:ffff:ffff:ffff |
| 34 | 287c:dd:c042:1000::/52 | 287c:dd:c042:1fff:ffff:ffff:ffff:ffff |
| 35 | 287c:dd:c042:2000::/52 | 287c:dd:c042:2fff:ffff:ffff:ffff:ffff |
| 36 | 287c:dd:c042:3000::/52 | 287c:dd:c042:3fff:ffff:ffff:ffff:ffff |
| 37 | 287c:dd:c042:4000::/52 | 287c:dd:c042:4fff:ffff:ffff:ffff:ffff |
| 38 | 287c:dd:c042:5000::/52 | 287c:dd:c042:5fff:ffff:ffff:ffff:ffff |
| 39 | 287c:dd:c042:6000::/52 | 287c:dd:c042:6fff:ffff:ffff:ffff:ffff |
| 40 | 287c:dd:c042:7000::/52 | 287c:dd:c042:7fff:ffff:ffff:ffff:ffff |
| 41 | 287c:dd:c042:8000::/52 | 287c:dd:c042:8fff:ffff:ffff:ffff:ffff |
| 42 | 287c:dd:c042:9000::/52 | 287c:dd:c042:9fff:ffff:ffff:ffff:ffff |
| 43 | 287c:dd:c042:a000::/52 | 287c:dd:c042:afff:ffff:ffff:ffff:ffff |
| 44 | 287c:dd:c042:b000::/52 | 287c:dd:c042:bfff:ffff:ffff:ffff:ffff |
| 45 | 287c:dd:c042:c000::/52 | 287c:dd:c042:cfff:ffff:ffff:ffff:ffff |
| 46 | 287c:dd:c042:d000::/52 | 287c:dd:c042:dfff:ffff:ffff:ffff:ffff |
| 47 | 287c:dd:c042:e000::/52 | 287c:dd:c042:efff:ffff:ffff:ffff:ffff |
| 48 | 287c:dd:c042:f000::/52 | 287c:dd:c042:ffff:ffff:ffff:ffff:ffff |
| 49 | 287c:dd:c043::/52 | 287c:dd:c043:fff:ffff:ffff:ffff:ffff |
| 50 | 287c:dd:c043:1000::/52 | 287c:dd:c043:1fff:ffff:ffff:ffff:ffff |
| 51 | 287c:dd:c043:2000::/52 | 287c:dd:c043:2fff:ffff:ffff:ffff:ffff |
| 52 | 287c:dd:c043:3000::/52 | 287c:dd:c043:3fff:ffff:ffff:ffff:ffff |
| 53 | 287c:dd:c043:4000::/52 | 287c:dd:c043:4fff:ffff:ffff:ffff:ffff |
| 54 | 287c:dd:c043:5000::/52 | 287c:dd:c043:5fff:ffff:ffff:ffff:ffff |
| 55 | 287c:dd:c043:6000::/52 | 287c:dd:c043:6fff:ffff:ffff:ffff:ffff |
| 56 | 287c:dd:c043:7000::/52 | 287c:dd:c043:7fff:ffff:ffff:ffff:ffff |
| 57 | 287c:dd:c043:8000::/52 | 287c:dd:c043:8fff:ffff:ffff:ffff:ffff |
| 58 | 287c:dd:c043:9000::/52 | 287c:dd:c043:9fff:ffff:ffff:ffff:ffff |
| 59 | 287c:dd:c043:a000::/52 | 287c:dd:c043:afff:ffff:ffff:ffff:ffff |
| 60 | 287c:dd:c043:b000::/52 | 287c:dd:c043:bfff:ffff:ffff:ffff:ffff |
| 61 | 287c:dd:c043:c000::/52 | 287c:dd:c043:cfff:ffff:ffff:ffff:ffff |
| 62 | 287c:dd:c043:d000::/52 | 287c:dd:c043:dfff:ffff:ffff:ffff:ffff |
| 63 | 287c:dd:c043:e000::/52 | 287c:dd:c043:efff:ffff:ffff:ffff:ffff |
| 64 | 287c:dd:c043:f000::/52 | 287c:dd:c043:ffff:ffff:ffff:ffff:ffff |
| 65 | 287c:dd:c044::/52 | 287c:dd:c044:fff:ffff:ffff:ffff:ffff |
| 66 | 287c:dd:c044:1000::/52 | 287c:dd:c044:1fff:ffff:ffff:ffff:ffff |
| 67 | 287c:dd:c044:2000::/52 | 287c:dd:c044:2fff:ffff:ffff:ffff:ffff |
| 68 | 287c:dd:c044:3000::/52 | 287c:dd:c044:3fff:ffff:ffff:ffff:ffff |
| 69 | 287c:dd:c044:4000::/52 | 287c:dd:c044:4fff:ffff:ffff:ffff:ffff |
| 70 | 287c:dd:c044:5000::/52 | 287c:dd:c044:5fff:ffff:ffff:ffff:ffff |
| 71 | 287c:dd:c044:6000::/52 | 287c:dd:c044:6fff:ffff:ffff:ffff:ffff |
| 72 | 287c:dd:c044:7000::/52 | 287c:dd:c044:7fff:ffff:ffff:ffff:ffff |
| 73 | 287c:dd:c044:8000::/52 | 287c:dd:c044:8fff:ffff:ffff:ffff:ffff |
| 74 | 287c:dd:c044:9000::/52 | 287c:dd:c044:9fff:ffff:ffff:ffff:ffff |
| 75 | 287c:dd:c044:a000::/52 | 287c:dd:c044:afff:ffff:ffff:ffff:ffff |
| 76 | 287c:dd:c044:b000::/52 | 287c:dd:c044:bfff:ffff:ffff:ffff:ffff |
| 77 | 287c:dd:c044:c000::/52 | 287c:dd:c044:cfff:ffff:ffff:ffff:ffff |
| 78 | 287c:dd:c044:d000::/52 | 287c:dd:c044:dfff:ffff:ffff:ffff:ffff |
| 79 | 287c:dd:c044:e000::/52 | 287c:dd:c044:efff:ffff:ffff:ffff:ffff |
| 80 | 287c:dd:c044:f000::/52 | 287c:dd:c044:ffff:ffff:ffff:ffff:ffff |
| 81 | 287c:dd:c045::/52 | 287c:dd:c045:fff:ffff:ffff:ffff:ffff |
| 82 | 287c:dd:c045:1000::/52 | 287c:dd:c045:1fff:ffff:ffff:ffff:ffff |
| 83 | 287c:dd:c045:2000::/52 | 287c:dd:c045:2fff:ffff:ffff:ffff:ffff |
| 84 | 287c:dd:c045:3000::/52 | 287c:dd:c045:3fff:ffff:ffff:ffff:ffff |
| 85 | 287c:dd:c045:4000::/52 | 287c:dd:c045:4fff:ffff:ffff:ffff:ffff |
| 86 | 287c:dd:c045:5000::/52 | 287c:dd:c045:5fff:ffff:ffff:ffff:ffff |
| 87 | 287c:dd:c045:6000::/52 | 287c:dd:c045:6fff:ffff:ffff:ffff:ffff |
| 88 | 287c:dd:c045:7000::/52 | 287c:dd:c045:7fff:ffff:ffff:ffff:ffff |
| 89 | 287c:dd:c045:8000::/52 | 287c:dd:c045:8fff:ffff:ffff:ffff:ffff |
| 90 | 287c:dd:c045:9000::/52 | 287c:dd:c045:9fff:ffff:ffff:ffff:ffff |
| 91 | 287c:dd:c045:a000::/52 | 287c:dd:c045:afff:ffff:ffff:ffff:ffff |
| 92 | 287c:dd:c045:b000::/52 | 287c:dd:c045:bfff:ffff:ffff:ffff:ffff |
| 93 | 287c:dd:c045:c000::/52 | 287c:dd:c045:cfff:ffff:ffff:ffff:ffff |
| 94 | 287c:dd:c045:d000::/52 | 287c:dd:c045:dfff:ffff:ffff:ffff:ffff |
| 95 | 287c:dd:c045:e000::/52 | 287c:dd:c045:efff:ffff:ffff:ffff:ffff |
| 96 | 287c:dd:c045:f000::/52 | 287c:dd:c045:ffff:ffff:ffff:ffff:ffff |
| 97 | 287c:dd:c046::/52 | 287c:dd:c046:fff:ffff:ffff:ffff:ffff |
| 98 | 287c:dd:c046:1000::/52 | 287c:dd:c046:1fff:ffff:ffff:ffff:ffff |
| 99 | 287c:dd:c046:2000::/52 | 287c:dd:c046:2fff:ffff:ffff:ffff:ffff |
| 100 | 287c:dd:c046:3000::/52 | 287c:dd:c046:3fff:ffff:ffff:ffff:ffff |
| 101 | 287c:dd:c046:4000::/52 | 287c:dd:c046:4fff:ffff:ffff:ffff:ffff |
| 102 | 287c:dd:c046:5000::/52 | 287c:dd:c046:5fff:ffff:ffff:ffff:ffff |
| 103 | 287c:dd:c046:6000::/52 | 287c:dd:c046:6fff:ffff:ffff:ffff:ffff |
| 104 | 287c:dd:c046:7000::/52 | 287c:dd:c046:7fff:ffff:ffff:ffff:ffff |
| 105 | 287c:dd:c046:8000::/52 | 287c:dd:c046:8fff:ffff:ffff:ffff:ffff |
| 106 | 287c:dd:c046:9000::/52 | 287c:dd:c046:9fff:ffff:ffff:ffff:ffff |
| 107 | 287c:dd:c046:a000::/52 | 287c:dd:c046:afff:ffff:ffff:ffff:ffff |
| 108 | 287c:dd:c046:b000::/52 | 287c:dd:c046:bfff:ffff:ffff:ffff:ffff |
| 109 | 287c:dd:c046:c000::/52 | 287c:dd:c046:cfff:ffff:ffff:ffff:ffff |
| 110 | 287c:dd:c046:d000::/52 | 287c:dd:c046:dfff:ffff:ffff:ffff:ffff |
| 111 | 287c:dd:c046:e000::/52 | 287c:dd:c046:efff:ffff:ffff:ffff:ffff |
| 112 | 287c:dd:c046:f000::/52 | 287c:dd:c046:ffff:ffff:ffff:ffff:ffff |
| 113 | 287c:dd:c047::/52 | 287c:dd:c047:fff:ffff:ffff:ffff:ffff |
| 114 | 287c:dd:c047:1000::/52 | 287c:dd:c047:1fff:ffff:ffff:ffff:ffff |
| 115 | 287c:dd:c047:2000::/52 | 287c:dd:c047:2fff:ffff:ffff:ffff:ffff |
| 116 | 287c:dd:c047:3000::/52 | 287c:dd:c047:3fff:ffff:ffff:ffff:ffff |
| 117 | 287c:dd:c047:4000::/52 | 287c:dd:c047:4fff:ffff:ffff:ffff:ffff |
| 118 | 287c:dd:c047:5000::/52 | 287c:dd:c047:5fff:ffff:ffff:ffff:ffff |
| 119 | 287c:dd:c047:6000::/52 | 287c:dd:c047:6fff:ffff:ffff:ffff:ffff |
| 120 | 287c:dd:c047:7000::/52 | 287c:dd:c047:7fff:ffff:ffff:ffff:ffff |
| 121 | 287c:dd:c047:8000::/52 | 287c:dd:c047:8fff:ffff:ffff:ffff:ffff |
| 122 | 287c:dd:c047:9000::/52 | 287c:dd:c047:9fff:ffff:ffff:ffff:ffff |
| 123 | 287c:dd:c047:a000::/52 | 287c:dd:c047:afff:ffff:ffff:ffff:ffff |
| 124 | 287c:dd:c047:b000::/52 | 287c:dd:c047:bfff:ffff:ffff:ffff:ffff |
| 125 | 287c:dd:c047:c000::/52 | 287c:dd:c047:cfff:ffff:ffff:ffff:ffff |
| 126 | 287c:dd:c047:d000::/52 | 287c:dd:c047:dfff:ffff:ffff:ffff:ffff |
| 127 | 287c:dd:c047:e000::/52 | 287c:dd:c047:efff:ffff:ffff:ffff:ffff |
| 128 | 287c:dd:c047:f000::/52 | 287c:dd:c047:ffff:ffff:ffff:ffff:ffff |
| 129 | 287c:dd:c048::/52 | 287c:dd:c048:fff:ffff:ffff:ffff:ffff |
| 130 | 287c:dd:c048:1000::/52 | 287c:dd:c048:1fff:ffff:ffff:ffff:ffff |
| 131 | 287c:dd:c048:2000::/52 | 287c:dd:c048:2fff:ffff:ffff:ffff:ffff |
| 132 | 287c:dd:c048:3000::/52 | 287c:dd:c048:3fff:ffff:ffff:ffff:ffff |
| 133 | 287c:dd:c048:4000::/52 | 287c:dd:c048:4fff:ffff:ffff:ffff:ffff |
| 134 | 287c:dd:c048:5000::/52 | 287c:dd:c048:5fff:ffff:ffff:ffff:ffff |
| 135 | 287c:dd:c048:6000::/52 | 287c:dd:c048:6fff:ffff:ffff:ffff:ffff |
| 136 | 287c:dd:c048:7000::/52 | 287c:dd:c048:7fff:ffff:ffff:ffff:ffff |
| 137 | 287c:dd:c048:8000::/52 | 287c:dd:c048:8fff:ffff:ffff:ffff:ffff |
| 138 | 287c:dd:c048:9000::/52 | 287c:dd:c048:9fff:ffff:ffff:ffff:ffff |
| 139 | 287c:dd:c048:a000::/52 | 287c:dd:c048:afff:ffff:ffff:ffff:ffff |
| 140 | 287c:dd:c048:b000::/52 | 287c:dd:c048:bfff:ffff:ffff:ffff:ffff |
| 141 | 287c:dd:c048:c000::/52 | 287c:dd:c048:cfff:ffff:ffff:ffff:ffff |
| 142 | 287c:dd:c048:d000::/52 | 287c:dd:c048:dfff:ffff:ffff:ffff:ffff |
| 143 | 287c:dd:c048:e000::/52 | 287c:dd:c048:efff:ffff:ffff:ffff:ffff |
| 144 | 287c:dd:c048:f000::/52 | 287c:dd:c048:ffff:ffff:ffff:ffff:ffff |
| 145 | 287c:dd:c049::/52 | 287c:dd:c049:fff:ffff:ffff:ffff:ffff |
| 146 | 287c:dd:c049:1000::/52 | 287c:dd:c049:1fff:ffff:ffff:ffff:ffff |
| 147 | 287c:dd:c049:2000::/52 | 287c:dd:c049:2fff:ffff:ffff:ffff:ffff |
| 148 | 287c:dd:c049:3000::/52 | 287c:dd:c049:3fff:ffff:ffff:ffff:ffff |
| 149 | 287c:dd:c049:4000::/52 | 287c:dd:c049:4fff:ffff:ffff:ffff:ffff |
| 150 | 287c:dd:c049:5000::/52 | 287c:dd:c049:5fff:ffff:ffff:ffff:ffff |
| 151 | 287c:dd:c049:6000::/52 | 287c:dd:c049:6fff:ffff:ffff:ffff:ffff |
| 152 | 287c:dd:c049:7000::/52 | 287c:dd:c049:7fff:ffff:ffff:ffff:ffff |
| 153 | 287c:dd:c049:8000::/52 | 287c:dd:c049:8fff:ffff:ffff:ffff:ffff |
| 154 | 287c:dd:c049:9000::/52 | 287c:dd:c049:9fff:ffff:ffff:ffff:ffff |
| 155 | 287c:dd:c049:a000::/52 | 287c:dd:c049:afff:ffff:ffff:ffff:ffff |
| 156 | 287c:dd:c049:b000::/52 | 287c:dd:c049:bfff:ffff:ffff:ffff:ffff |
| 157 | 287c:dd:c049:c000::/52 | 287c:dd:c049:cfff:ffff:ffff:ffff:ffff |
| 158 | 287c:dd:c049:d000::/52 | 287c:dd:c049:dfff:ffff:ffff:ffff:ffff |
| 159 | 287c:dd:c049:e000::/52 | 287c:dd:c049:efff:ffff:ffff:ffff:ffff |
| 160 | 287c:dd:c049:f000::/52 | 287c:dd:c049:ffff:ffff:ffff:ffff:ffff |
| 161 | 287c:dd:c04a::/52 | 287c:dd:c04a:fff:ffff:ffff:ffff:ffff |
| 162 | 287c:dd:c04a:1000::/52 | 287c:dd:c04a:1fff:ffff:ffff:ffff:ffff |
| 163 | 287c:dd:c04a:2000::/52 | 287c:dd:c04a:2fff:ffff:ffff:ffff:ffff |
| 164 | 287c:dd:c04a:3000::/52 | 287c:dd:c04a:3fff:ffff:ffff:ffff:ffff |
| 165 | 287c:dd:c04a:4000::/52 | 287c:dd:c04a:4fff:ffff:ffff:ffff:ffff |
| 166 | 287c:dd:c04a:5000::/52 | 287c:dd:c04a:5fff:ffff:ffff:ffff:ffff |
| 167 | 287c:dd:c04a:6000::/52 | 287c:dd:c04a:6fff:ffff:ffff:ffff:ffff |
| 168 | 287c:dd:c04a:7000::/52 | 287c:dd:c04a:7fff:ffff:ffff:ffff:ffff |
| 169 | 287c:dd:c04a:8000::/52 | 287c:dd:c04a:8fff:ffff:ffff:ffff:ffff |
| 170 | 287c:dd:c04a:9000::/52 | 287c:dd:c04a:9fff:ffff:ffff:ffff:ffff |
| 171 | 287c:dd:c04a:a000::/52 | 287c:dd:c04a:afff:ffff:ffff:ffff:ffff |
| 172 | 287c:dd:c04a:b000::/52 | 287c:dd:c04a:bfff:ffff:ffff:ffff:ffff |
| 173 | 287c:dd:c04a:c000::/52 | 287c:dd:c04a:cfff:ffff:ffff:ffff:ffff |
| 174 | 287c:dd:c04a:d000::/52 | 287c:dd:c04a:dfff:ffff:ffff:ffff:ffff |
| 175 | 287c:dd:c04a:e000::/52 | 287c:dd:c04a:efff:ffff:ffff:ffff:ffff |
| 176 | 287c:dd:c04a:f000::/52 | 287c:dd:c04a:ffff:ffff:ffff:ffff:ffff |
| 177 | 287c:dd:c04b::/52 | 287c:dd:c04b:fff:ffff:ffff:ffff:ffff |
| 178 | 287c:dd:c04b:1000::/52 | 287c:dd:c04b:1fff:ffff:ffff:ffff:ffff |
| 179 | 287c:dd:c04b:2000::/52 | 287c:dd:c04b:2fff:ffff:ffff:ffff:ffff |
| 180 | 287c:dd:c04b:3000::/52 | 287c:dd:c04b:3fff:ffff:ffff:ffff:ffff |
| 181 | 287c:dd:c04b:4000::/52 | 287c:dd:c04b:4fff:ffff:ffff:ffff:ffff |
| 182 | 287c:dd:c04b:5000::/52 | 287c:dd:c04b:5fff:ffff:ffff:ffff:ffff |
| 183 | 287c:dd:c04b:6000::/52 | 287c:dd:c04b:6fff:ffff:ffff:ffff:ffff |
| 184 | 287c:dd:c04b:7000::/52 | 287c:dd:c04b:7fff:ffff:ffff:ffff:ffff |
| 185 | 287c:dd:c04b:8000::/52 | 287c:dd:c04b:8fff:ffff:ffff:ffff:ffff |
| 186 | 287c:dd:c04b:9000::/52 | 287c:dd:c04b:9fff:ffff:ffff:ffff:ffff |
| 187 | 287c:dd:c04b:a000::/52 | 287c:dd:c04b:afff:ffff:ffff:ffff:ffff |
| 188 | 287c:dd:c04b:b000::/52 | 287c:dd:c04b:bfff:ffff:ffff:ffff:ffff |
| 189 | 287c:dd:c04b:c000::/52 | 287c:dd:c04b:cfff:ffff:ffff:ffff:ffff |
| 190 | 287c:dd:c04b:d000::/52 | 287c:dd:c04b:dfff:ffff:ffff:ffff:ffff |
| 191 | 287c:dd:c04b:e000::/52 | 287c:dd:c04b:efff:ffff:ffff:ffff:ffff |
| 192 | 287c:dd:c04b:f000::/52 | 287c:dd:c04b:ffff:ffff:ffff:ffff:ffff |
| 193 | 287c:dd:c04c::/52 | 287c:dd:c04c:fff:ffff:ffff:ffff:ffff |
| 194 | 287c:dd:c04c:1000::/52 | 287c:dd:c04c:1fff:ffff:ffff:ffff:ffff |
| 195 | 287c:dd:c04c:2000::/52 | 287c:dd:c04c:2fff:ffff:ffff:ffff:ffff |
| 196 | 287c:dd:c04c:3000::/52 | 287c:dd:c04c:3fff:ffff:ffff:ffff:ffff |
| 197 | 287c:dd:c04c:4000::/52 | 287c:dd:c04c:4fff:ffff:ffff:ffff:ffff |
| 198 | 287c:dd:c04c:5000::/52 | 287c:dd:c04c:5fff:ffff:ffff:ffff:ffff |
| 199 | 287c:dd:c04c:6000::/52 | 287c:dd:c04c:6fff:ffff:ffff:ffff:ffff |
| 200 | 287c:dd:c04c:7000::/52 | 287c:dd:c04c:7fff:ffff:ffff:ffff:ffff |
| 201 | 287c:dd:c04c:8000::/52 | 287c:dd:c04c:8fff:ffff:ffff:ffff:ffff |
| 202 | 287c:dd:c04c:9000::/52 | 287c:dd:c04c:9fff:ffff:ffff:ffff:ffff |
| 203 | 287c:dd:c04c:a000::/52 | 287c:dd:c04c:afff:ffff:ffff:ffff:ffff |
| 204 | 287c:dd:c04c:b000::/52 | 287c:dd:c04c:bfff:ffff:ffff:ffff:ffff |
| 205 | 287c:dd:c04c:c000::/52 | 287c:dd:c04c:cfff:ffff:ffff:ffff:ffff |
| 206 | 287c:dd:c04c:d000::/52 | 287c:dd:c04c:dfff:ffff:ffff:ffff:ffff |
| 207 | 287c:dd:c04c:e000::/52 | 287c:dd:c04c:efff:ffff:ffff:ffff:ffff |
| 208 | 287c:dd:c04c:f000::/52 | 287c:dd:c04c:ffff:ffff:ffff:ffff:ffff |
| 209 | 287c:dd:c04d::/52 | 287c:dd:c04d:fff:ffff:ffff:ffff:ffff |
| 210 | 287c:dd:c04d:1000::/52 | 287c:dd:c04d:1fff:ffff:ffff:ffff:ffff |
| 211 | 287c:dd:c04d:2000::/52 | 287c:dd:c04d:2fff:ffff:ffff:ffff:ffff |
| 212 | 287c:dd:c04d:3000::/52 | 287c:dd:c04d:3fff:ffff:ffff:ffff:ffff |
| 213 | 287c:dd:c04d:4000::/52 | 287c:dd:c04d:4fff:ffff:ffff:ffff:ffff |
| 214 | 287c:dd:c04d:5000::/52 | 287c:dd:c04d:5fff:ffff:ffff:ffff:ffff |
| 215 | 287c:dd:c04d:6000::/52 | 287c:dd:c04d:6fff:ffff:ffff:ffff:ffff |
| 216 | 287c:dd:c04d:7000::/52 | 287c:dd:c04d:7fff:ffff:ffff:ffff:ffff |
| 217 | 287c:dd:c04d:8000::/52 | 287c:dd:c04d:8fff:ffff:ffff:ffff:ffff |
| 218 | 287c:dd:c04d:9000::/52 | 287c:dd:c04d:9fff:ffff:ffff:ffff:ffff |
| 219 | 287c:dd:c04d:a000::/52 | 287c:dd:c04d:afff:ffff:ffff:ffff:ffff |
| 220 | 287c:dd:c04d:b000::/52 | 287c:dd:c04d:bfff:ffff:ffff:ffff:ffff |
| 221 | 287c:dd:c04d:c000::/52 | 287c:dd:c04d:cfff:ffff:ffff:ffff:ffff |
| 222 | 287c:dd:c04d:d000::/52 | 287c:dd:c04d:dfff:ffff:ffff:ffff:ffff |
| 223 | 287c:dd:c04d:e000::/52 | 287c:dd:c04d:efff:ffff:ffff:ffff:ffff |
| 224 | 287c:dd:c04d:f000::/52 | 287c:dd:c04d:ffff:ffff:ffff:ffff:ffff |
| 225 | 287c:dd:c04e::/52 | 287c:dd:c04e:fff:ffff:ffff:ffff:ffff |
| 226 | 287c:dd:c04e:1000::/52 | 287c:dd:c04e:1fff:ffff:ffff:ffff:ffff |
| 227 | 287c:dd:c04e:2000::/52 | 287c:dd:c04e:2fff:ffff:ffff:ffff:ffff |
| 228 | 287c:dd:c04e:3000::/52 | 287c:dd:c04e:3fff:ffff:ffff:ffff:ffff |
| 229 | 287c:dd:c04e:4000::/52 | 287c:dd:c04e:4fff:ffff:ffff:ffff:ffff |
| 230 | 287c:dd:c04e:5000::/52 | 287c:dd:c04e:5fff:ffff:ffff:ffff:ffff |
| 231 | 287c:dd:c04e:6000::/52 | 287c:dd:c04e:6fff:ffff:ffff:ffff:ffff |
| 232 | 287c:dd:c04e:7000::/52 | 287c:dd:c04e:7fff:ffff:ffff:ffff:ffff |
| 233 | 287c:dd:c04e:8000::/52 | 287c:dd:c04e:8fff:ffff:ffff:ffff:ffff |
| 234 | 287c:dd:c04e:9000::/52 | 287c:dd:c04e:9fff:ffff:ffff:ffff:ffff |
| 235 | 287c:dd:c04e:a000::/52 | 287c:dd:c04e:afff:ffff:ffff:ffff:ffff |
| 236 | 287c:dd:c04e:b000::/52 | 287c:dd:c04e:bfff:ffff:ffff:ffff:ffff |
| 237 | 287c:dd:c04e:c000::/52 | 287c:dd:c04e:cfff:ffff:ffff:ffff:ffff |
| 238 | 287c:dd:c04e:d000::/52 | 287c:dd:c04e:dfff:ffff:ffff:ffff:ffff |
| 239 | 287c:dd:c04e:e000::/52 | 287c:dd:c04e:efff:ffff:ffff:ffff:ffff |
| 240 | 287c:dd:c04e:f000::/52 | 287c:dd:c04e:ffff:ffff:ffff:ffff:ffff |
| 241 | 287c:dd:c04f::/52 | 287c:dd:c04f:fff:ffff:ffff:ffff:ffff |
| 242 | 287c:dd:c04f:1000::/52 | 287c:dd:c04f:1fff:ffff:ffff:ffff:ffff |
| 243 | 287c:dd:c04f:2000::/52 | 287c:dd:c04f:2fff:ffff:ffff:ffff:ffff |
| 244 | 287c:dd:c04f:3000::/52 | 287c:dd:c04f:3fff:ffff:ffff:ffff:ffff |
| 245 | 287c:dd:c04f:4000::/52 | 287c:dd:c04f:4fff:ffff:ffff:ffff:ffff |
| 246 | 287c:dd:c04f:5000::/52 | 287c:dd:c04f:5fff:ffff:ffff:ffff:ffff |
| 247 | 287c:dd:c04f:6000::/52 | 287c:dd:c04f:6fff:ffff:ffff:ffff:ffff |
| 248 | 287c:dd:c04f:7000::/52 | 287c:dd:c04f:7fff:ffff:ffff:ffff:ffff |
| 249 | 287c:dd:c04f:8000::/52 | 287c:dd:c04f:8fff:ffff:ffff:ffff:ffff |
| 250 | 287c:dd:c04f:9000::/52 | 287c:dd:c04f:9fff:ffff:ffff:ffff:ffff |
| 251 | 287c:dd:c04f:a000::/52 | 287c:dd:c04f:afff:ffff:ffff:ffff:ffff |
| 252 | 287c:dd:c04f:b000::/52 | 287c:dd:c04f:bfff:ffff:ffff:ffff:ffff |
| 253 | 287c:dd:c04f:c000::/52 | 287c:dd:c04f:cfff:ffff:ffff:ffff:ffff |
| 254 | 287c:dd:c04f:d000::/52 | 287c:dd:c04f:dfff:ffff:ffff:ffff:ffff |
| 255 | 287c:dd:c04f:e000::/52 | 287c:dd:c04f:efff:ffff:ffff:ffff:ffff |
| 256 | 287c:dd:c04f:f000::/52 | 287c:dd:c04f:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |